---
title: Move the ball
slug: Games/Tutorials/2D_breakout_game_Phaser/Move_the_ball
tags:
  - 2D
  - Beginner
  - Canvas
  - Games
  - JavaScript
  - Phaser
  - Tutorial
  - moving
---
<div>{{GamesSidebar}}</div>

<p>{{PreviousNext("Games/Workflows/2D_Breakout_game_Phaser/Load_the_assets_and_print_them_on_screen", "Games/Workflows/2D_Breakout_game_Phaser/Physics")}}</p>

<div class="summary">
<p>This is the <strong>4th step</strong> out of 16 of the <a href="/en-US/docs/Games/Workflows/2D_Breakout_game_Phaser">Gamedev Phaser tutorial</a>. You can find the source code as it should look after completing this lesson at <a href="https://github.com/end3r/Gamedev-Phaser-Content-Kit/blob/gh-pages/demos/lesson04.html">Gamedev-Phaser-Content-Kit/demos/lesson04.html</a>.</p>
</div>

<p><span class="seoSummary">We have our blue ball printed on screen, but it's doing nothing — It would be cool to make it move somehow. This article covers how to do just that.</span></p>

<h2 id="Updating_the_balls_position_on_each_frame">Updating the ball's position on each frame</h2>

<p>Remember the <code>update()</code> function and its definition? The code inside it is executed on every frame, so it's a perfect place to put the code that will update the ball's position on screen. Add the following new lines of the code inside <code>update()</code>, as shown:</p>

<pre class="brush: js notranslate">function update() {
    ball.x += 1;
    ball.y += 1;
}
</pre>

<p>The code above adds 1 to the <code>x</code> and <code>y</code> properties representing the ball coordinates on the canvas, on each frame. Reload index.html and you should see the ball rolling across the screen.</p>

<h2 id="Compare_your_code">Compare your code</h2>

<p>You can check the finished code for this lesson in the live demo below, and play with it to understand better how it works:</p>

<p>{{JSFiddleEmbed("https://jsfiddle.net/end3r/g1cfp0vv/","","400")}}</p>

<h2 id="Next_steps">Next steps</h2>

<p>The next step is to add some basic collision detection, so our ball can bounce off the walls. This would take several lines of code — a significantly more complex step than we have seen so far, especially if we want to add paddle and brick collisions too — but fortunately Phaser allows us to do this much more easily than if we wanted to use pure JavaScript.</p>

<p>In any case, before we do all that we will first introduce Phaser's <a href="/en-US/docs/Games/Workflows/2D_Breakout_game_Phaser/Physics">physics</a> engines, and do some setup work.</p>

<p>{{PreviousNext("Games/Workflows/2D_Breakout_game_Phaser/Load_the_assets_and_print_them_on_screen", "Games/Workflows/2D_Breakout_game_Phaser/Physics")}}</p>
